QGIS Application - Bug report #7269
cant load GRASS plugin (osx 10.8.2)
2013-03-03 11:48 AM - epifanio -

Status: Closed

Priority: Normal

Assignee:

Category: GRASS

Affected QGIS version:master Regression?: No
Operating System: 0sX Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 16286
Description

I'm building QGIS from source (debug mode) on mac osx 10.8.x
grass 6.4.3 installed in :

/usr/local/grass/grass-6.4.3svn/

gdalinfo is able to list the grass driver :

gdalinfo --formats | grep GRASS
GRASS (ro): GRASS Database Rasters (5.7+)
GRASSASCIIGrid (rov): GRASS ASCII Grid

the plugins are in :

Is /usr/local/lib/gdalplugins
gdal_GRASS.so ogr GRASS.so

in my bash_ptofile i have :

export GDAL_DRIVER_PATH=/usr/local/lib/gdalplugins

my CMakeCache.txt attached here :;

https://gist.github.com/epifanio/5077934

QGIS Build fine without errors, but the GRASS plugin are not loaded (neither i can see them in the build log)
Is it a BUG or Please can you point me on how to load them from inside QGIS ?
Thanks.

History

#1 - 2013-06-02 09:01 AM - Giovanni Manghi
- Priority changed from High to Normal

Installing from packages and the plugin is available, a local issue?

#2 - 2013-06-25 12:12 PM - zirneklitis -
https://gist.github.com/epifanio/5077934

In official QGIS builds for Fedora the following patched is applied:

--- qgis-1.5.0/cmake/FindGRASS.cmake 2010-06-20 19:09:21.151964000 +0200
+++ qgis-1.5.0-grass/cmake/FindGRASS.cmake 2010-07-12 09:31:16.551002521 +0200
@@ -17,7 +17,7 @@

MARK_AS_ADVANCED ( GRASS_LIBRARY_${LIB})

SET(LIB_PATH NOTFOUND)
- FIND_LIBRARY(LIB_PATH NAMES grass_${LIB} PATHS ${G_PREFIX}/lib NO_DEFAULT_PATH)

+ FIND_LIBRARY/(LIB_PATH NAMES grass_${LIB} PATHS ${G_PREFIX}/lib)

IF (LIB_PATH)
SET (GRASS_LIBRARY_${LIB} ${LIB_PATH})

This solved the similar issue for Fedora 18.

#3 - 2016-01-09 07:25 AM - Radim Blazek
- Status changed from Open to Closed

Most probably resolved, FindGRASS.cmake now searches first with NO_DEFAULT_PATH then without.
